App::Pinto::Command::lock(3pm)

NAME
App::Pinto::Command::lock - mark a stack as read-only

VERSION
version 0.14

SYNOPSIS
  pinto --root=REPOSITORY_ROOT lock [OPTIONS]

DESCRIPTION
This command locks a stack so that its packages cannot be changed. It is typically used with the copy command to effectively create a read-only "tag" of a stack.

To unlock a stack, use the unlock command.

COMMAND ARGUMENTS
As an alternative to the "--stack" option, you can also specify the stack as an argument. So the following examples are equivalent:

  pinto --root REPOSITORY_ROOT lock --stack dev
  pinto --root REPOSITORY_ROOT lock dev

A stack specified as an argument in this fashion will override any stack specified with the "--stack" option. If a stack is not specified by neither argument nor option, then it defaults to the stack that is currently marked as the default stack.

COMMAND OPTIONS

--stack NAME
-s NAME
    Lock the stack with the given NAME. Defaults to the name of whichever stack is currently marked as the default stack. Use the stacks command to see the stacks in the repository.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2015 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.